Subject: Re: bug#58525: 28.1: `vc-dir' (key sequence: C-x v d) fails when used with a CVS repository

From: Eli Zaretskii <[email-masked]>
Date: Mon, 17 Oct 2022 19:34:53 +0300

> Date: Mon, 17 Oct 2022 16:00:25 +0300
> Cc: [email-masked]
> From: Dmitry Gutov <[email-masked]>
> 
> On 17.10.2022 09:06, Eli Zaretskii wrote:
> > AFAIK, the VC's support for CVS is based on detecting the CVS
> > subdirectory of a directory where you invoke vc-dir.  If that
> > subdirectory is not found, VC will assume the backend is not CVS.  In
> > which case your assumptions seem to be mistaken.
> > 
> > But I will let VC expert to chime in here, because I may be wrong or
> > confused.
> 
> Here's the basic logic:
> 
> (defun vc-cvs-registered (f)
>    "Return non-nil if file F is registered with CVS."
>    (when (file-readable-p (expand-file-name
> 			  "CVS/Entries" (file-name-directory f)))
>      ...

Thanks.  So after performing the steps in the original report, I do
have ~/tmp3/project1/CVS/Entries here.